# Breve
### a url shortener

Breve is a web application that provides a simple interface to
shortening long urls creating links smaller and easier to remember.

It creates links in the form of "/emeaoinqua": easier to remember than
alphanumeric strings like "/1Cqw8lHw" used by several services.

It was inspired by [hastebin](http://hastebin.com).

## Running the app

    git clone https://github.com/rnhmjoj/breve
    cd breve
    cabal install --only-dependencies
    cabal run

This will start the app on `http://127.0.0.1:3000`

You can set the bind hostname/port via the `PORT` and `ADDRESS`
environment variables.

## License

Dual licensed under the MIT and GPL licenses:  
http://www.opensource.org/licenses/mit-license.php  
http://www.gnu.org/licenses/gpl.html
